Retrieve Workflow Task Action Details
Retrieve the details of a specific object workflow task action. The response lists the details of the task action, including all fields required to initiate the action.
GET
/api/{version}/objects/objectworkflows/tasks/{task_id}/actions/{task_action}Headers
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{task_id} | The task id field value. |
{task_action} | The name of the task action retrieved from Retrieve Workflow Task Actions. |
Query Parameters
Section link for Query ParametersRequest
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v21.1/objects/objectworkflows/tasks/501/actions/completeResponse
Section link for Response{
"responseStatus": "SUCCESS",
"data": {
"name": "task_impact_assessment1__c",
"label": "Impact Assessment",
"type": "task",
"description": "A simple task to collect information regarding impacts.",
"controls": [
{
"label": "Instruction",
"type": "instructions",
"instructions": "Complete this task to indicate the outcome of the Impact Assessment. All areas of impact should be captured before proceeding."
},
{
"label": "Verdict",
"type": "verdict",
"verdict": "verdict_public_key__c",
"reason": "reason__c",
"capacity": "capacity__c",
"verdicts": [
{
"name": "verdict_impact_assessment_complete__c",
"label": "Proceed with Change Plan",
"prompts": [],
"capacities": {
"label": "Capacity",
"required": true,
"prompts": [
{
"name": "capacity_0_0__c",
"label": "Impact Assessor"
}
]
}
}
]
}
]
}
}